/***************************************************************************
**    termsrvd.h
**    termsrvd header file
**
** Copyright (C) 1995, 1996  Joseph Croft <jcroft@unicomp.net>  
** 
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 1, or (at your option)
** any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**
 ***************************************************************************/
#include <tnl.h>

#define MDM_FULL           1
#define MDM_HALF           2

#define MDM_EVEN           1
#define MDM_ODD            2
#define MDM_NONE           3

#define MAX_DEVICE 64

typedef struct
{
   int   id;
   int   isGroup;
   char  *name;
   char  *dev;
   char  *port;
   char  *baud;
} dev_entry;

#ifndef AIX
#ifndef uchar
typedef unsigned char uchar;
#endif
#endif

void buildDeviceName(char *buf, dev_entry *pDev);
int findDevice(char *dev);
int parseDeviceName(char *dev);
void setDevice();
int loadDevices();
int OpenModem(char *buf);
void SetModem();
int GoTerminal();
int openModem(char *name);
void BuildModemParms(char *buf, int cbSize);
int parseBaudRate(uchar *cbuf, int cnt);
int parsePortSettings(uchar *cbuf, int cnt);
int ParseCommand(unsigned char *buf, int cnt);
void ShowModemSettings(char *pDevice);
void _OutStr(char *str);
void _OutCh(char ch);
int SendBreak();
